## GstDtlsSrtpBin

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBin
                        ╰──GstDtlsSrtpBin

### Properties

#### connection-id

    “connection-id” gchararray

Every encoder/decoder pair should have the same, unique, connection-id

Flags : Read / Write

Default value : NULL

#### key

    “key” GstBuffer *

SRTP master key, if this property is set, DTLS will be disabled

Flags : Read / Write

#### srtcp-auth

    “srtcp-auth” gchararray

SRTCP auth name, should be 'null', 'hmac-sha1-32' or 'hmac-sha1-80', if this property is set, DTLS will be disabled

Flags : Read / Write

Default value : NULL

#### srtcp-cipher

    “srtcp-cipher” gchararray

SRTCP cipher name, should be 'null' or 'aes-128-icm', if this property is set, DTLS will be disabled

Flags : Read / Write

Default value : NULL

#### srtp-auth

    “srtp-auth” gchararray

SRTP auth name, should be 'null', 'hmac-sha1-32' or 'hmac-sha1-80', if this property is set, DTLS will be disabled

Flags : Read / Write

Default value : NULL

#### srtp-cipher

    “srtp-cipher” gchararray

SRTP cipher name, should be 'null' or 'aes-128-icm', if this property is set, DTLS will be disabled

Flags : Read / Write

Default value : NULL

The results of the search are